// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.v1;

import static cz.senslog.connector.tools.json.BasicJson.objectToJson;

/**
 * The class {@code Position} represents a record of position for Senslog V1.
 *
 * @author Lukas Cerny
 * @version 1.0
 * @since 1.0
 */
public class Position extends Record {

    /** Latitude of position */
    private Float latitude;

    /** Longitude of position */
    private Float longitude;

    /** Altitude of position */
    private Float altitude;

    /** Speed of the unit */
    private Float speed;

    /** Horizontal dilution  of position */
    private Integer dilutionOfPrecision;

    public Float getLatitude() {
        return latitude;
    }

    public void setLatitude(Float latitude) {
        this.latitude = latitude;
    }

    public Float getLongitude() {
        return longitude;
    }

    public void setLongitude(Float longitude) {
        this.longitude = longitude;
    }

    public Float getAltitude() {
        return altitude;
    }

    public void setAltitude(Float altitude) {
        this.altitude = altitude;
    }

    public Float getSpeed() {
        return speed;
    }

    public void setSpeed(Float speed) {
        this.speed = speed;
    }

    public Integer getDilutionOfPrecision() {
        return dilutionOfPrecision;
    }

    public void setDilutionOfPrecision(Integer dilutionOfPrecision) {
        this.dilutionOfPrecision = dilutionOfPrecision;
    }

    @Override
    public String toString() {
        return objectToJson(this);
    }
}
